Package fr.gouv.vitam.ingest.internal.common.exception

# Class IngestInternalClientNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.ingest.internal.common.exception.IngestInternalClientException
fr.gouv.vitam.ingest.internal.common.exception.IngestInternalClientNotFoundException

All Implemented Interfaces:
  `Serializable`

public class IngestInternalClientNotFoundException extends IngestInternalClientException
Exception indicating a resource requested by a client was not found on the server.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngestInternalClientNotFoundException(String message)`
  constructor with message
  `IngestInternalClientNotFoundException(String messsage, Throwable cause)`
  constructor with message and throwable
  `IngestInternalClientNotFoundException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
  constructor with message throwable anableSuppression and writableStackTrace
  `IngestInternalClientNotFoundException(Throwable cause)`
  constructor with throwable

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IngestInternalClientNotFoundException

    public IngestInternalClientNotFoundException(String message)
    constructor with message
    Parameters:
      `message` - associated message

  - ### IngestInternalClientNotFoundException

    public IngestInternalClientNotFoundException(Throwable cause)
    constructor with throwable
    Parameters:
      `cause` - associated cause

  - ### IngestInternalClientNotFoundException

    public IngestInternalClientNotFoundException(String messsage, Throwable cause)
    constructor with message and throwable
    Parameters:
      `messsage` - associated message
      `cause` - associated cause

  - ### IngestInternalClientNotFoundException

    public IngestInternalClientNotFoundException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)
    constructor with message throwable anableSuppression and writableStackTrace
    Parameters:
      `message` - associated message
      `cause` - associated cause
      `enableSuppression` - allow suppression or not
      `writableStackTrace` - allow writable stack trace or not